/*	(C) 1995 HUDSON SOFT
 *
*/
/* dump.c */
void setdump(long adr,long im);
void dump (char *,int);
void dumps(short *,int);
void dumpl(long *,int);

void mdump(int fh,long adr,long len);  /* print main memory */
void tdump(int fh,long adr,long len);  /* print texture buffer */
void pdump(int fh,long adr,long len);  /* print texture buffer(P)*/
void vdump(int fh,long adr,long len);  /* print huc6270 RAM */
void kdump(int fh,long adr,long len);  /* print huc6272 RAM */
void cdump(int fh,long adr,long len);  /* print huc6261 RAM */

void myank(int fh,long adr,char *file);/* PC file to FX main memory */
void tyank(int fh,long adr,char *file);/* PC file to FX texture buffer */
void pyank(int fh,long adr,char *file);/* PC file to FX texture buffer(P) */
void vyank(int fh,long adr,char *file);/* PC file to FX huc6270 RAM */
void kyank(int fh,long adr,char *file);/* PC file to FX huc6272 RAM */
void cyank(int fh,long adr,char *file);/* PC file to FX huc6273 RAM */

/* UNION */
#define TMPSIZE 0x2000
typedef union {
    char  *c;
    short *s;
    int   *i;
    long  *l;
} TMPBUF;

#if defined(TEST)||defined(MAIN)
TMPBUF buf;
#else
extern TMPBUF buf;
#endif

/* EOF */
